/*===========================================================================

	Copyright  2007 Tea Tuar

	This material is provided "as is", with no warranty expressed or implied.
	Any use is at your own risk. Permission to use or copy this software for
	any purpose is hereby granted without fee, provided this notice is
	retained on all copies. Permission to modify the code and to distribute
	modified code is granted, provided a notice that the code was modified is
	included with the above copyright notice.

	http://dis.ijs.si/tea/research.htm

	===========================================================================

	Header file.

	Defines the structure DemoSortItem.

	file: demo_sort_item.h
	author: Tea Tusar (tea.tusar@ijs.si)
	created: 19.02.2006
	last change: $date$

	===========================================================================
*/

#ifndef demo_sort_itemH
#define demo_sort_itemH
//---------------------------------------------------------------------------

struct DemoSortItem
{
	UINT m_index;
	double m_value;

	Sort();
	Sort(UINT index, double value) {
		m_index = index;
		m_value = value;
	};
	bool operator<(const Sort &sort) {
		return (m_value < sort.m_value);
	};
};
//---------------------------------------------------------------------------
